org.eclipse.wst.jsdt.chromium.debug.js.util

## Class ChromiumDetector

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.js.util.ChromiumDetector

    public final class ChromiumDetector
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `CHROMIUM_EXTRA_LOCATION`
`static java.lang.String` `SYSTEM_PATH_ENV_VAR`
`static java.lang.String` `WHICH_LOCATION_2`
`static java.lang.String` `WHICH_LOCATION_3`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.io.File` `findChromiumSystemPath()` Tries to find Chrome / Chromium on all possible system path installations.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### WHICH_LOCATION_2

    public static final java.lang.String WHICH_LOCATION_2

See Also:
  Constant Field Values

#### WHICH_LOCATION_3

    public static final java.lang.String WHICH_LOCATION_3

See Also:
  Constant Field Values

#### SYSTEM_PATH_ENV_VAR

    public static final java.lang.String SYSTEM_PATH_ENV_VAR

See Also:
  Constant Field Values

#### CHROMIUM_EXTRA_LOCATION

    public static final java.lang.String CHROMIUM_EXTRA_LOCATION

See Also:
  Constant Field Values

### Method Detail

#### findChromiumSystemPath

    public static java.io.File findChromiumSystemPath()

Tries to find Chrome / Chromium on all possible system path installations.

Returns:
  File pointing to the chrome / chromium binary in system path if any was found, or null otherwise